org.aspectj.internal.lang.reflect

## Class PointcutBasedPerClauseImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.PerClauseImpl
  - - org.aspectj.internal.lang.reflect.PointcutBasedPerClauseImpl

All Implemented Interfaces:
  PerClause, PointcutBasedPerClause

    public class PointcutBasedPerClauseImpl
    extends PerClauseImpl
    implements PointcutBasedPerClause

Author:
  colyer

### Constructor Summary

Constructors
Constructor and Description
`PointcutBasedPerClauseImpl(PerClauseKind kind, String pointcutExpression)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PointcutExpression` `getPointcutExpression()`
`String` `toString()`

### Methods inherited from class org.aspectj.internal.lang.reflect.PerClauseImpl

`getKind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.aspectj.lang.reflect.PerClause

`getKind`

### Constructor Detail

#### PointcutBasedPerClauseImpl

    public PointcutBasedPerClauseImpl(PerClauseKind kind,
                                      String pointcutExpression)

### Method Detail

#### getPointcutExpression

    public PointcutExpression getPointcutExpression()

Specified by:
  `getPointcutExpression` in interface `PointcutBasedPerClause`
Returns:
  the associated pointcut expression

#### toString

    public String toString()

Overrides:
  `toString` in class `PerClauseImpl`